XnView problemas con libgstapp-0.10.so.0

Desde la desaparición del panorama Linux de picasa, xnview pasa a ser una buena alternativa para visualizar y ordenar tus imágenes. Es un gestor de imágenes muy completo, es gratuito y multiplataforma, así que poco más se le puede pedir.. bueno, si.. que cuando lo vayas a actualizar no te encuentres con este maravilloso error:

No puede arrancarse porque no encuentra la librería libgstapp-0.10.so.0

seleccion_001

Todo esto viene porque debe tener dependencias de esta librería que se utiliza con gstreamer. Concretamente la versión que me da problemas es la de 64bits, que es muy posible que con la versión de 32bits, no de ese problema, o simplemente instalando la librería en cuestión, puedas lanzarlo sin problemas. Con un simple:

sudo apt-get install libgstreamer-plugins-base0.10-0

Pero este no fue mi caso, ya que en mis repositorios no está esa versión de librería (la 0.1), sino la 1.0, así que tras mucho rebuscar dí con la solución, que básicamente era descargar las librerías directamente y hacer su instalación manual, para ello basta con poner en tu terminal:

wget http://fr.archive.ubuntu.com/ubuntu/pool/main/g/gst-plugins-base0.10/libgstreamer-plugins-base0.10-0_0.10.36-1_amd64.deb

wget http://fr.archive.ubuntu.com/ubuntu/pool/universe/g/gstreamer0.10/libgstreamer0.10-0_0.10.36-1.5ubuntu1_amd64.deb

sudo dpkg -i libgstreamer*.deb

Con esto se descarga un par de paquetes deb, que luego instalamos directamente.

Tras volver a lanzarlo, todo ha ido fino.

Por si a alguien más le sirve! Saludos.

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s